iTunes Versions

Discussion in 'PowerPC Macs' started by Kirk Boragine, Feb 16, 2017.

Tags:
  1. Kirk Boragine macrumors member

    Kirk Boragine

    Joined:
    Dec 12, 2016
    Location:
    Arizona, America
    #1
    What's up with the versions? My Tiger install reports iTunes 4.7.1 (30). I found 9.2.1 on the Apple website. Why doesn't iTunes update automatically when I do a software check through the system? What about all the other versions in between? What's the consensus here as to which one works best for PowerPC (remembering I'm on a G3 with a 600MHz CPU please). I just need a slim/powerful player that doesn't do anything fancy. iTunes Store is off the table for PowerPC architecture anyhow, right?
     
  2. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #2
    I'm not sure why it isn't included in Software Update anymore. Possibilities include the fact that Apple has cut us off except for major system updates.

    As to what version, it really depends on what you want. Do you want the latest to sync with an iPhone 4s or a 30-pin iPod? Or does it matter?

    For me personally, I use iTunes 4.0 on my PowerPC Macs. The reason I do that is because version 4.0 is the ONLY version that allows you to share your library across the internet, i.e., you don't have to be on the same local network.

    My main library has already been moved to my MBP for other reasons so the one I stream is a copy of that. I don't need anything else from iTunes but the one thing I want to do is share across the internet so I chose version 4.0.

    Just depends on what you want to do.
     
  3. Kirk Boragine thread starter macrumors member

    Kirk Boragine

    Joined:
    Dec 12, 2016
    Location:
    Arizona, America
    #3
    I'm not looking to sync anything. I saw your post about 4.0 That's pretty cool. But I'm more interested in this point about iTunes Store. I have a strange error that comes up that says I'm not authorized to play my purchased music. Then it prompts me to deauthorize and gives me a login and password which I don't know? Unless I'm supposed to put my current login and password which doesn't make any sense to me.
     
  4. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #4
    I see.

    I would update to the latest version then if you have not already. Then try and login to the store with your current credentials. So yeah, try putting in your current login and password and see what happens.

    I can't explain why it would be giving you details that are not yours. However, realize that there are bound to be issues.

    We went an entire month at some point last year with internet radio streaming knocked out on iTunes 10.6.3. Because Apple flipped some switch somewhere which killed it for PowerPC systems. They eventually got around to fixing it, but it was hardly a priority for them and was most likely just a side effect of whatever else they were doing.
     
  5. Kirk Boragine thread starter macrumors member

    Kirk Boragine

    Joined:
    Dec 12, 2016
    Location:
    Arizona, America
    #5
    I wonder if it has anything to do with where i got iLife? If I remember it offered to install iTunes but since I already had that I'm pretty sure I unchecked that box.

    Then there's' this in the installer...
    iTunes 9.2.1 requirements

    Hardware:
    • Mac computer with an Intel, PowerPC G5 or G4 processor
    • Intel, PowerPC G5 or 1.0GHz PowerPC G4 or faster processor is required to play Standard Definition video from the iTunes Store
    • 2.0GHz Intel Core 2 Duo or faster processor is required to play HD video, an iTunes LP, or iTunes Extras from the iTunes Store
    • 512MB of RAM; 1GB is required to play HD video, an iTunes LP, or iTunes Extras

    The only requirement I meet is the minimum RAM. So if I can fix the authorization issue, I'd just as soon keep 4.7.1

    What do you think -trashing preferences? -reinstalling the same version? I actually have two version receipts. One iTunes.pkg and one iTunes4.pkg - I can't remember if when installing tiger it updated during the system updates or not. Maybe that iTunes4.pkg is from the iLife install?
    --- Post Merged, Feb 16, 2017 ---
    Check out the created dates. Feb 10th was my install date.
     

    Attached Files:

  6. KawaiiAurora macrumors 6502

    KawaiiAurora

    Joined:
    Dec 16, 2016
    Location:
    Europa
    #6
    Latest G3 capable version is 8.2.1 AFAIK
     
  7. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #7
    A reinstall won't hurt. The thing about earlier versions of iTunes is that it was much easier to redo your library if things got screwed up so I'd say go ahead and try it.
     
  8. KawaiiAurora macrumors 6502

    KawaiiAurora

    Joined:
    Dec 16, 2016
    Location:
    Europa
    #8
    Actually you can go up to 9.1.1 on a G3 :)
     
  9. Kirk Boragine thread starter macrumors member

    Kirk Boragine

    Joined:
    Dec 12, 2016
    Location:
    Arizona, America
    #9
    Thanks, reinstalled. Started a new thread on that subject as well.
    --- Post Merged, Feb 16, 2017 ---
    Where can it be found? I've searched Apple and other sites. Haven't seen much. The 9.2.1 I got from a link on this site to the Apple site..
     
  10. KawaiiAurora macrumors 6502

    KawaiiAurora

    Joined:
    Dec 16, 2016
    Location:
    Europa
    #10
  11. Kirk Boragine thread starter macrumors member

    Kirk Boragine

    Joined:
    Dec 12, 2016
    Location:
    Arizona, America
    #11
  12. Kirk Boragine thread starter macrumors member

    Kirk Boragine

    Joined:
    Dec 12, 2016
    Location:
    Arizona, America
    #12

Share This Page